﻿<div class="content_div_small">
  <div class="table_tab_div">
    <div class="table_tab_left"></div>
    <div class="table_tab">多语种业务名称描述符</div>
    <div class="table_tab_right"></div>
  </div>
  <table id="table_info3">
    <tr>
      <th>语言代码</th>
      <td class="header">
        <input type="text" id="languageCode" maxlength="3" />
      </td>
      <td rowspan="4" class="header">
        <input type="button" id="addBtn" value="添 加" class="input_normal" name="abbBtn" onclick="addTableRow();"/>
      </td>
    </tr>
    <tr>
      <th>业务提供商</th>
      <td>
        <input type="text" id="descServiceProvider" />
      </td>
    </tr>
    <tr>
      <th>业务名称</th>
      <td>
        <input type="text" id="descServiceName" />
      </td>
    </tr>
    <tr>
      <th>字符编码</th>
      <td>
        <select id="descCharEncode">
          <option value="0" selected="selected">默认</option>
          <option value="1">ISO 8859-1</option>
          <option value="2">ISO 8859-2</option>
          <option value="3">ISO 8859-3</option>
          <option value="4">ISO 8859-4</option>
          <option value="5">ISO 8859-5(Cyrillic)</option>
          <option value="6">ISO 8859-6(Arabic)</option>
          <option value="7">ISO 8859-7(Greek)</option>
          <option value="8">ISO 8859-8(Hebrew)</option>
          <option value="9">ISO 8859-9</option>
          <option value="10">ISO 8859-10</option>
          <option value="11">ISO 8859-11</option>
          <option value="13">ISO 8859-13</option>
          <option value="14">ISO 8859-14(Celtic)</option>
          <option value="15">ISO 8859-15</option>
          <option value="16">ISO 10646(BMP)</option>
          <option value="17">KSX1001-2004(Korean)</option>
          <option value="18">GB-2312(Chinese)</option>
          <option value="19">UTF-8</option>
          <option value="20">无字符编码</option>
        </select>
      </td>
    </tr>
  </table>
  <br />
  <table id="dataTable">
    <tr>
      <th>语言代码</th>
      <th>业务提供商</th>
      <th>业务名称</th>
      <th>字符编码</th>
      <th>操作</th>
    </tr>
  </table>
  <table style="display: none;">
    <tr id="dataRow0" class="CaseRow">
      <td><span id="languageCode0"></span></td>
      <td><span id="descServiceProvider0"></span></td>
      <td><span id="descServiceName0"></span></td>
      <td><span id="descCharEncode0"></span></td>
      <td><img src="../../style/images/shanchu1.png" id="delete0" class="img img_hand" onclick="deleteCurrentRow($(this));" title="Delete" /></td>
    </tr>
  </table>
  <div class="bottom_button_div">
    <input type="button" id="descApplyBtn" value="确 定" class="input_normal" onclick="descPageApply();" />
    <input type="button" id="descCancelBtn" value="取 消" class="input_normal" onclick="cancelEdit();" />
  </div>
</div>
<style type="text/css">
#addBtn
{
	float: none;
	margin: 0;	
}
</style>
<script>
var maxRowNum = 7;
var objIdArray = ["languageCode", "descServiceProvider", "descServiceName", "descCharEncode"];
var COL_NUM = 4;
</script>