<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<link rel="stylesheet" href="../style/zTreeStyle.css" type="text/css" />
<link rel="stylesheet" href="../style/simplemodal.css" type="text/css" />
<link rel="stylesheet" href="../style/zTreeMenu.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.easyui.min.js"></script>
<script type="text/javascript" src="../js/jquery.ztree.core-3.5.min.js"></script>
<script type="text/javascript" src="js/demoTools.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/mux_config.js"></script>
<script type="text/javascript" language="javascript">
<%UpdateMuxTreeJson(0);%>
var language = ENGLISH;
</script>
<style type="text/css">
select
{
	width: 190px;
}
.loading_div
{
	position:absolute;
	width:18px;
	height:18px;
	display:none;
	background:url(../style/images/loading.gif);
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="mux_page">
    <div class="mux_page_content">
      <div class="table_tab_div">
        <div class="table_tab_left"></div>
        <div class="table_tab">Input</div>
        <div class="table_tab_right"></div>
      </div>
      <div class="div_table_button">Input Card:
        <select id="inputCard" onchange="changeInput()">
        </select>
      </div>
      <div class="mux_tree_content" id="inTreeContent">
        <ul id="inputTree" class="ztree">
        </ul>
      </div>
    </div>
    <div class="mux_button">
      <div class="mux_button_area">
        <div class="button_arrow">
          <div class="right_arrow" onclick="moveTreeNode(TO_RIGHT);"></div>
        </div>
        <div class="button_arrow">
          <div class="left_arrow" onclick="moveTreeNode(TO_LEFT);"></div>
        </div>
        <div class="button_arrow">
          <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="self.location.reload(true);" />
        </div>
        <div class="button_arrow">
          <input type="button" id="applyBtn" value="Apply" class="input_normal" onclick="muxApply();" />
        </div>
      </div>
    </div>
    <div class="mux_page_content">
      <div class="table_tab_div">
        <div class="table_tab_left"></div>
        <div class="table_tab">Output</div>
        <div class="table_tab_right"></div>
      </div>
      <div class="div_table_button">Output Card:
        <select id="outputCard" onchange="changeOutput()" >
        </select>
      </div>
      <div class="mux_tree_content" id="outTreeContent">
        <ul id="outputTree" class="ztree">
        </ul>
      </div>
    </div>
    <div style="clear:both"></div>
  </div>
</div>
<div id="outPortMenu" class="easyui-menu mux_menu_width">
  <div id="menu8" onclick="pageJump(MUX_PORT_DETAIL)">Detail</div>
  <div id="menu4" onclick="pageJump(MUX_PSI_INTERVAL)">PSI/SI Interval</div>
  <div id="menu5" onclick="pageJump(MUX_PSI_EDIT)">PSI/SI Edit</div>
  <div id="menu6" onclick="pageJump(MUX_CUSTOM)">Custom Service</div>
  <div id="menu7" onclick="pageJump(MUX_AUTO_ADJUST)">Auto Adjust</div>
</div>
<div id="outProgMenu" class="easyui-menu mux_menu_width">
  <div id="menu9" onclick="pageJump(MUX_PROGRAM_BACKUP)">Service Backup</div>
  <div onclick="pageJump(QUERY_INPUT)">Find Source</div>
</div>
<div id="inCardMenu" class="easyui-menu mux_menu_width">
  <div onclick="pageJump(MUX_CARD_REFRESH)">Refresh Card</div>
</div>
<div id="inPortMenu" class="easyui-menu mux_menu_width">
  <div onclick="pageJump(MUX_PORT_REFRESH)">Refresh</div>
  <div id="menu3" onclick="pageJump(MUX_PSI_PREVIEW)">PSI/SI Preview</div>
</div>
<div id="outPidMenu" class="easyui-menu mux_menu_width">
  <div onclick="pageJump(MUX_PID_MODIFY)">Modify PID</div>
</div>
<div id="modifyPid" class="content_div_small" style="display: none;">
  <div class="table_tab_div">
    <div class="table_tab_left"></div>
    <div class="table_tab">Modify PID</div>
    <div class="table_tab_right"></div>
  </div>
  <table>
    <tr>
      <th>Input New PID</th>
      <td class="header">
        <input type="text" id="newPid" />
      </td>
    </tr>
  </table>
  <div class="bottom_button_div">
    <input id="pidApplyBtn" type="button" value="Apply" class="input_normal" onclick="modifyPidApply()"/>
    <input id="cancelBtn" type="button" value="Cancel" class="input_normal" onclick="cancelEdit()"/>
  </div>
</div>
<div id="ajaxLoading" class="loading_div"></div>
</body>
</html>
