<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 网络管理系统</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" >
<link rel="stylesheet" type="text/css" href="../style/simplemodal.css">
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/psi_edit.js"></script>
<script type="text/javascript" language="javascript">
var language = CHINESE;
</script>
<style type="text/css">
.img
{
	padding-left: 10px;
}
.align_left
{
	text-align: left;
	padding-left: 20px;
}
.td_div_style
{
	margin: 10px 0;
}
.td_form_style
{
	margin-top: 5px;
}
table input[type=button]
{
	float: none;
}
.button_area_width
{
	width: 234px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_small" id="configuration" style="display:none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">TS包配置</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <td class="header align_left">
          <div class="td_div_style">
            <input type="checkbox" id="sdtoCheckbox" />
            SDTo
            <input type="checkbox" id="nitaCheckbox" />
            NITa
            <input type="checkbox" id="nitoCheckbox" />
            NITo
            <input type="checkbox" id="batCheckbox" />
            BAT</div>
          <div class="td_div_style">
            <form action=/goform/siTableExport id="downloadForm" class="td_form_style">
              导出SI表:
              <input type="hidden" id="language" name="language" />
              <input type="hidden" id="outputid" name="outputid" />
              <input type="hidden" id="sdtoCheck" name="sdtoCheck" />
              <input type="hidden" id="nitaCheck" name="nitaCheck" />
              <input type="hidden" id="nitoCheck" name="nitoCheck" />
              <input type="hidden" id="batCheck" name="batCheck" />
              <input type="button" id="exportBtn" value="导 出" class="input_normal" onclick="downloadTable();" />
            </form>
          </div>
          <div class="td_div_style">
            <form action=/goform/siTableImport enctype="multipart/form-data" id="uploadForm" name="uploadForm" method="post" class="td_form_style">
              导入SI表:
              <input type="file" id="uploadFileName" name="uploadFileName">
              <input type="button" id="importBtn" value="导 入" class="input_normal" onclick="uploadTable();" />
              <input type="button" id="paramApplyBtn" value="应 用" class="input_normal" onclick="pageApply();" />
            </form>
          </div>
        </td>
      </tr>
    </table>
  </div>
  <div class="content_div_small">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">PSI/SI表编辑</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="添 加" class="input_normal" onclick ="addPsi();" />
        <input type="button" id="deleteBtn" value="删除" class="input_normal" onclick ="deletePsi();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="dataTable">
      <tr>
        <th>
          <input type="checkbox" id="checkAll" onclick="checkAll();" />
        </th>
        <th width="40%">PSI表类型</th>
        <th>PSI PID</th>
        <th>SID-Ext</th>
        <th>Section No.</th>
        <th width="18%">操作</th>
      </tr>
    </table>
    <table style="display:none">
      <tr  id="dataRow0" class="CaseRow">
        <td>
          <input type="checkbox" id="check0" onclick="changeRowChecked();" />
        </td>
        <td><span id="psiType0"></span></td>
        <td><span id="psiPid0"></span></td>
        <td><span id="id_ext0"></span></td>
        <td><span id="sectionNo0"></span></td>
        <td>
          <img src="../style/images/xiugai.png" id="modify0" class="img_hand" onclick="psiJump($(this));"  title="编辑"/>
        </td>
      </tr>
    </table>
  </div>
</div>
<div id="addPsi" style="display:none" class="content_div_small">
  <div class="table_tab_div">
    <div class="table_tab_left"></div>
    <div class="table_tab">添加</div>
    <div class="table_tab_right"></div>
  </div>
  <table>
    <tr>
      <th width="240px">表类型:</th>
      <td class="header">
        <select id="addPsiType" onchange="changeType()">
          <option value="1" selected="selected">CAT</option>
          <option value="2" >BAT</option>
          <option value="3" >SDTo</option>
          <option value="4" >NITo</option>
          <option value="5" >NITa</option>
        </select>
      </td>
    </tr>
    <tr id="bat" style="display:none" >
      <th>业务群标识符</th>
      <td>
        <input type="text" id="bouquetId" />
      </td>
    </tr>
    <tr id="sdt" style="display:none" >
      <th>流标识符</th>
      <td>
        <input type="text" id="streamId" />
      </td>
    </tr>
    <tr id="nit" style="display:none" >
      <th>网络标识符</th>
      <td>
        <input type="text" id="networkId" />
      </td>
    </tr>
  </table>
  <div class="bottom_button_div">
    <input id="applyBtn" type="button" value="应 用" class="input_normal" onclick="addApply()"/>
    <input id="cancelBtn" type="button" value="取 消" class="input_normal" onclick="cancelAdd();"/>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
