<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/simplemodal.css" type="text/css">
<link rel="stylesheet" href="../style/common.css" type="text/css">
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/card_common.js"></script>
<script type="text/javascript" src="js/gbe_in_config.js"></script>
<script type="text/javascript">
var language = CHINESE;
var webPageName = GBE_IN_CONFIG;
</script>
<style type="text/css">
.button_area_width {
	width: 468px;
}
</style>
</head>
<body>
<div class="tab">
  <ul>
    <li id="receiveMenu" class="first_selected" onclick="pageJump(GBE_IN_CONFIG);">接收</li>
    <li id="transmitMenu" class="selected_follow" onclick="pageJump(GBE_OUT_CONFIG);">发送</li>
    <li id="arpMenu" class="middle_no_selected" onclick="pageJump(GBE_ARP_MONITOR);">ARP</li>
    <li id="backupMenu" class="middle_no_selected" onclick="pageJump(GBE_PORT_BACKUP);">备份</li>
    <li id="monitorMenu" class="middle_no_selected" onclick="pageJump(MONITOR);">监测</li>
    <li class="last_no_selected"></li>
  </ul>
</div>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <input type="button" id="basic" value="基本" class="table_header_select" onclick="tableChange(BASIC);" />
      <input type="button" id="rate"  value="基准码率" class="table_header_normal" onclick="tableChange(BITRATE);" />
      <input type="button" id="igmp" value="IGMP" class="table_header_normal" onclick="tableChange(IGMP);" />
      <div style="clear:both;"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="添 加" class="input_normal" onclick="addPort();" />
        <input type="button" id="deleteBtn" value="删 除" class="input_normal" onclick="deletePort();" />
        <input type="button" id="deleteAllBtn" value="删除全部" class="input_normal" onclick="deleteAll();" />
        <input type="button" id="modifyBtn" value="批量修改" class="input_normal" onclick="modifyPort();" />
        <input type="button" id="applyBtn" value="应 用" class="input_normal" onclick="pageApply();" />
        <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="basicTable">
      <tr>
        <th width="10%">
          <input type="checkbox" id="basicCheckAll" onclick="checkAll(BASIC);" />
        </th>
        <th width="10%">端口</th>
        <th width="16%">名称</th>
        <th width="16%">接收IP地址</th>
        <th width="12%">接收UDP端口</th>
        <th width="10%">协议</th>
        <th width="9%">告警</th>
        <th width="13%">缓冲区</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="basicDataRow0" class="basicCaseRow">
        <td>
          <input type="checkbox" id="basicCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="basicPort0"></span></td>
        <td>
          <input type="text" id="name0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="ip0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="port0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <select id="protocol0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
        <td>
          <select id="alarmSwitch0" onchange="changeCellValue($(this));">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
        <td>
          <select id="bufferSize0" onchange="changeCellValue($(this));">
            <option value="0">最小：1Mbit</option>
            <option value="1">较小：1.5Mbit</option>
            <option value="2" selected="selected">中等：2Mbit</option>
            <option value="3">较大：4Mbit</option>
            <option value="4">很大：8Mbit</option>
            <option value="5">最大：16Mbit</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="rateTable" style="display:none;">
      <tr>
        <th width="10%">
          <input type="checkbox" id="rateCheckAll" onclick="checkAll(BITRATE);" />
        </th>
        <th width="10%">端口</th>
        <th width="40%">基准开关</th>
        <th width="40%">基准码率(bps)</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="rateDataRow0" class="rateCaseRow">
        <td>
          <input type="checkbox" id="rateCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="ratePort0"></span></td>
        <td>
          <select id="refSwitch0" onchange="changeCellValue($(this));">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td>
          <input type="text" id="refRate0" onchange="changeCellValue($(this));" />
        </td>
      </tr>
    </table>
    <table id="igmpTable" style="display:none;">
      <tr>
        <th width="10%">
          <input type="checkbox" id="igmpCheckAll" onclick="checkAll(IGMP);"  />
        </th>
        <th width="10%">端口</th>
        <th width="20%">接收模式</th>
        <th width="30%">源IP地址1</th>
        <th width="30%">源IP地址2</th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="igmpDataRow0" class="igmpCaseRow">
        <td>
          <input type="checkbox" id="igmpCheck0" onclick="changeRowChecked($(this));" />
        </td>
        <td class="special"><span id="igmpPort0"></span></td>
        <td>
          <select id="recMode0" onchange="changeCellValue($(this));">
            <option value="0">Include</option>
            <option value="1" selected="selected">Exclude</option>
          </select>
        </td>
        <td>
          <input type="text" id="srcIpOne0" onchange="changeCellValue($(this));" />
        </td>
        <td>
          <input type="text" id="srcIpTwo0" onchange="changeCellValue($(this));" />
        </td>
      </tr>
    </table>
  </div>
  <div id="addPort" class="content_div_small" style="display:none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">添加</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="40%">添加端口个数</th>
        <td class="header">
          <input type="text" id="addPortNum" value="1" />
        </td>
      </tr>
      <tr>
        <th>接收IP地址</th>
        <td>
          <input type="text" id="addIpStart" value="192.165.52.100" />
        </td>
      </tr>
      <tr>
        <th>IP地址步进值</th>
        <td>
          <input type="text" id="addIpStep" value="0" />
        </td>
      </tr>
      <tr>
        <th>接收UDP端口</th>
        <td>
          <input type="text" id="addPortStart" value="1234" />
        </td>
      </tr>
      <tr>
        <th>UDP端口步进值</th>
        <td>
          <input type="text" id="addPortStep" value="1" />
        </td>
      </tr>
      <tr>
        <th>协议</th>
        <td>
          <select id="addProtocol">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>告警</th>
        <td>
          <select id="addAlarmSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="addPortBtn" value="应 用" class="input_normal" onclick="addPortApply();" />
      <input type="button" id="cancelAddPortBtn" value="取 消" class="input_normal" onclick="cancelAdd();"/>
    </div>
    <div style="clear:both;"></div>
  </div>
  <div id="modifyPort" class="content_div_small" style="display:none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">批量修改</div>
      <div class="table_tab_right"></div>
    </div>
    <table id="basicModifyTable">
      <tr>
        <th width="40%">接收IP地址</th>
        <td width="50%" class="header">
          <input type="text" id="modifyIpStart" value="192.165.52.100" />
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyIpCheck" />
        </td>
      </tr>
      <tr>
        <th>IP地址步进值</th>
        <td>
          <input type="text" id="modifyIpStep" value="0" />
        </td>
        <td></td>
      </tr>
      <tr>
        <th>接收UDP端口</th>
        <td>
          <input type="text" id="modifyUdpPort" value="1234" />
        </td>
        <td>
          <input type="checkbox" id="modifyPortCheck" />
        </td>
      </tr>
      <tr>
        <th>UDP端口步进值</th>
        <td>
          <input type="text" id="modifyPortStep" value="0" />
        </td>
        <td></td>
      </tr>
      <tr>
        <th>协议</th>
        <td>
          <select id="modifyProtocol">
            <option value="0" selected="selected">UDP</option>
            <option value="1">RTP</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyProtocolCheck" />
        </td>
      </tr>
      <tr>
        <th>告警</th>
        <td>
          <select id="modifyAlarmSwitch">
            <option value="0">关闭</option>
            <option value="1" selected="selected">打开</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyAlarmSwitchCheck" />
        </td>
      </tr>
      <tr>
        <th>缓冲区</th>
        <td>
          <select id="modifyBufferSize">
            <option value="0">最小：1Mbit</option>
            <option value="1">较小：1.5Mbit</option>
            <option value="2" selected="selected">中等：2Mbit</option>
            <option value="3">较大：4Mbit</option>
            <option value="4">很大：8Mbit</option>
            <option value="5">最大：16Mbit</option>
          </select>
        </td>
        <td>
          <input type="checkbox" id="modifyBufferSizeCheck" />
        </td>
      </tr>
    </table>
    <table id="rateModifyTable" style="display: none;">
      <tr>
        <th width="40%">基准开关</th>
        <td width="50%" class="header">
          <select id="modifyRefSwitch">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyRefSwitchCheck" />
        </td>
      </tr>
      <tr>
        <th>基准码率(bps)</th>
        <td>
          <input type="text" id="modifyRefRate" value="0" />
        </td>
        <td>
          <input type="checkbox" id="modifyRefRateCheck" />
        </td>
      </tr>
    </table>
    <table id="igmpModifyTable" style="display: none;">
      <tr>
        <th width="40%">接收模式</th>
        <td width="50%" class="header">
          <select id="modifyRecMode">
            <option value="0">Include</option>
            <option value="1" selected="selected">Exclude</option>
          </select>
        </td>
        <td width="10%" class="header">
          <input type="checkbox" id="modifyRecModeCheck" />
        </td>
      </tr>
      <tr>
        <th>源IP地址1</th>
        <td>
          <input type="text" id="modifySrcIp1" value="0.0.0.0" />
        </td>
        <td>
          <input type="checkbox" id="modifySrcIp1Check" />
        </td>
      </tr>
      <tr>
        <th>源IP地址2</th>
        <td>
          <input type="text" id="modifySrcIp2" value="0.0.0.0" />
        </td>
        <td>
          <input type="checkbox" id="modifySrcIp2Check" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="modifyPortBtn" value="应 用" class="input_normal" onclick="modifyPortApply();" />
      <input type="button" id="cancelModifyPortBtn" value="取 消" class="input_normal" onclick="cancelModify();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
