<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<link rel="stylesheet" href="../style/zTreeStyle.css" type="text/css" />
<link rel="stylesheet" href="../style/simplemodal.css" type="text/css" />
<link rel="stylesheet" href="../style/zTreeMenu.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.easyui.min.js"></script>
<script type="text/javascript" src="../js/jquery.ztree.core-3.5.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/desc_edit_public.js"></script>
<script type="text/javascript" src="js/pmt_edit.js"></script>
<script type="text/javascript" language="javascript">
<%UpdatePmtEdit(psiId, 0);%>
var language = ENGLISH;
</script>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="page_content">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">PMT</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area">
        <input type="button" id="applyBtn" value="Apply" title="Click the button to effect all the operations" class="input_normal" onclick="pageApply();" />
        <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="self.location.reload(true);" />
      </div>
    </div>
    <div id="treeContent" class="tree_content">
      <ul class="ztree">
        <li id="treeDemo" class="ztree"></li>
      </ul>
    </div>
  </div>
  <div id="editInfo" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div id="editHeader" class="table_tab"></div>
      <div class="table_tab_right"></div>
    </div>
    <table id="table">
      <tr>
        <th>Version Number</th>
        <td class="header">
          <input type="text" id="versionNumber" />
        </td>
      </tr>
    </table>
    <table id="element">
      <tr>
        <th>Element Type</th>
        <td class="header">
          <select id="elementType">
            <option value="1" selected="selected">Mpeg1 Video</option>
            <option value="2">Mpeg2 Video</option>
            <option value="3">Mpeg1 Audio</option>
            <option value="4">Mpeg2 Audio</option>
            <option value="5">13818-1 Private</option>
            <option value="6">PES/AC3/TT</option>
            <option value="7">MHEG</option>
            <option value="8">DSMCC</option>
            <option value="15">AAC-Audio</option>
            <option value="16">Mpeg4 Video</option>
            <option value="17">Mpeg4 Audio</option>
            <option value="27">H264 Video</option>
            <option value="36">H265 Video</option>
            <option value="66">AVS Video</option>
            <option value="129">AC3 Audio</option>
            <option value="130">DTS Audio</option>
            <option value="256">Custom</option>
          </select>
        </td>
      </tr>
      <tr id="customTypeTr" style="display: none;">
        <th>Custom Type</th>
        <td><input type="text" id="customType" /></td>
      </tr>
      <tr>
        <th>Element PID</th>
        <td>
          <input type="text" id="elementPid" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input id="editApplyBtn" type="button" value="OK" class="input_normal" onclick="editPageApply();" />
      <input id="cancelBtn" type="button" value="Cancel" class="input_normal" onclick="cancelEdit();" />
    </div>
  </div>
  <div id="descInfo" style="display: none;"></div>
</div>
<div id="modifyTable" class="easyui-menu common_menu_width">
  <div onclick="modifyTable();">Modify</div>
</div>
<div id="addProgramDesc" class="easyui-menu common_menu_width">
  <div><span>Add</span>
    <div class="desc_menu_width_en">
      <div onclick="addDesc(9, OPER_FIRST_DESC);">CA Descriptor</div>
      <div onclick="addDesc(11, OPER_FIRST_DESC);">System Clock Descriptor</div>
      <div onclick="addDesc(12, OPER_FIRST_DESC);">Multi. Buffer Utilization Descriptor</div>
      <div onclick="addDesc(14, OPER_FIRST_DESC);">Maximum Bitrate Descriptor</div>
      <div onclick="addDesc(15, OPER_FIRST_DESC);">Private Data Indicator Descriptor</div>
      <div onclick="addDesc(16, OPER_FIRST_DESC);">Smoothing Buffer Descriptor</div>
      <div onclick="addDesc(89, OPER_FIRST_DESC);">Subtitling Descriptor</div>
      <div onclick="addDesc(95, OPER_FIRST_DESC);">Private Data Specifier Descriptor</div>
      <div onclick="addDesc(100, OPER_FIRST_DESC);">Data Broadcast Descriptor</div>
      <div onclick="addDesc(128, OPER_FIRST_DESC);">Custom Descriptor</div>
    </div>
  </div>
</div>
<div id="addElement" class="easyui-menu common_menu_width">
  <div onclick="addElement();">Add Element</div>
</div>
<div id="videoElement" class="easyui-menu common_menu_width">
  <div><span>Add</span>
    <div class="desc_menu_width_en">
      <div onclick="addDesc(2, OPER_SECOND_DESC);">Video Stream Descriptor</div>
      <div onclick="addDesc(6, OPER_SECOND_DESC);">Data Stream Alignment Descriptor</div>
      <div onclick="addDesc(9, OPER_SECOND_DESC);">CA Descriptor</div>
      <div onclick="addDesc(10, OPER_SECOND_DESC);">ISO 639 Language Descriptor</div>
      <div onclick="addDesc(14, OPER_SECOND_DESC);">Maximum Bitrate Descriptor</div>
      <div onclick="addDesc(15, OPER_SECOND_DESC);">Private Data Indicator Descriptor</div>
      <div onclick="addDesc(82, OPER_SECOND_DESC);">Stream Identifier Descriptor</div>
      <div onclick="addDesc(86, OPER_SECOND_DESC);">Teletext Descriptor</div>
      <div onclick="addDesc(89, OPER_SECOND_DESC);">Subtitling Descriptor</div>
      <div onclick="addDesc(95, OPER_SECOND_DESC);">Private Data Specifier Descriptor</div>
      <div onclick="addDesc(106, OPER_SECOND_DESC);">AC-3 Descriptor</div>
      <div onclick="addDesc(128, OPER_SECOND_DESC);">Custom Descriptor</div>
    </div>
  </div>
  <div onclick="modifyElement();">Modify</div>
  <div onclick="deleteElement();">Delete</div>
</div>
<div id="audioElement" class="easyui-menu common_menu_width">
  <div><span>Add</span>
    <div class="desc_menu_width_en">
      <div onclick="addDesc(3, OPER_SECOND_DESC);">Audio Stream Descriptor</div>
      <div onclick="addDesc(6, OPER_SECOND_DESC);">Data Stream Alignment Descriptor</div>
      <div onclick="addDesc(9, OPER_SECOND_DESC);">CA Descriptor</div>
      <div onclick="addDesc(10, OPER_SECOND_DESC);">ISO 639 Language Descriptor</div>
      <div onclick="addDesc(14, OPER_SECOND_DESC);">Maximum Bitrate Descriptor</div>
      <div onclick="addDesc(15, OPER_SECOND_DESC);">Private Data Indicator Descriptor</div>
      <div onclick="addDesc(82, OPER_SECOND_DESC);">Stream Identifier Descriptor</div>
      <div onclick="addDesc(86, OPER_SECOND_DESC);">Teletext Descriptor</div>
      <div onclick="addDesc(89, OPER_SECOND_DESC);">Subtitling Descriptor</div>
      <div onclick="addDesc(95, OPER_SECOND_DESC);">Private Data Specifier Descriptor</div>
      <div onclick="addDesc(106, OPER_SECOND_DESC);">AC-3 Descriptor</div>
      <div onclick="addDesc(128, OPER_SECOND_DESC);">Custom Descriptor</div>
    </div>
  </div>
  <div onclick="modifyElement();">Modify</div>
  <div onclick="deleteElement();">Delete</div>
</div>
<div id="descriptor" class="easyui-menu common_menu_width">
  <div onclick="modifyDesc();">Modify</div>
  <div onclick="deleteDesc();">Delete</div>
</div>
</body>
</html>
