<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>EMR3.0 Management</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/pid_map.js" ></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
.img
{
	padding-left: 10px;
}
.bottom_button_div
{
	width: 156px;
	margin: 0 auto;
	margin-top: 10px;
}</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">PID Map</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div  id="buttonArea" class="div_table_button_area">
        <input type="button" id="addBtn" value="Add" class="input_normal" onclick="addMapInfo();"/>
        <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="pageRefresh();"/>
      </div>
    </div>
    <div style="height: 286px; overflow-y: auto;">
      <table id="dataTable">
        <tr>
          <th>Index</th>
          <th>Input Card</th>
          <th>Input Port</th>
          <th>Input PID</th>
          <th>Output Card</th>
          <th>Output Port</th>
          <th>Output PID</th>
          <th>Priority</th>
          <th>Operation</th>
        </tr>
      </table>
      <table style="display: none;">
        <tr id="dataRow0" class="CaseRow">
          <td class="special"><span id="index0"></span></td>
          <td><span id="inCard0"></span></td>
          <td><span id="inPort0"></span></td>
          <td><span id="inPid0"></span></td>
          <td><span id="outCard0"></span></td>
          <td><span id="outPort0"></span></td>
          <td><span id="outPid0"></span></td>
          <td><span id="priority0"></span></td>
          <td>
            <img src="../style/images/xiugai.png" id="modify0" class="img_hand" onclick="modifyMapInfo($(this));" title="Edit" /><img src="../style/images/boundary.png" class="img" id="boundary0"><img src="../style/images/shanchu1.png" id="delete0" class="img img_hand" onclick="deleteMapInfo($(this))" title="Delete">
          </td>
        </tr>
      </table>
    </div>
  </div>
  <div id="editMap" class="content_div_small" style="margin-top: 30px;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab" id="tableHeader"></div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th></th>
        <th>Input</th>
        <th>Output</th>
      </tr>
      <tr>
        <th>Card</th>
        <td>
          <select id="editInCard" onchange="populateInputPort($(this));">
          </select>
        </td>
        <td>
          <select id="editOutCard" onchange="populateOutputPort($(this));">
          </select>
        </td>
      </tr>
      <tr>
        <th>Port</th>
        <td>
          <select id="editInPort">
          </select>
        </td>
        <td>
          <select id="editOutPort">
          </select>
        </td>
      </tr>
      <tr>
        <th>PID</th>
        <td>
          <input type="text" id="editInPid" />
        </td>
        <td>
          <input type="text" id="editOutPid" />
        </td>
      </tr>
      <tr>
        <th>Low Priority</th>
        <td colspan="2" style="text-align: left;">
          <input type="checkbox" id="lowerPriority" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input id="applyBtn" type="button" value="Apply" class="input_normal" onclick="editMapInfoApply()"/>
      <input id="cancelBtn" type="button" value="Cancel" class="input_normal" onclick="cancelEdit();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
